## org.eclipse.datatools.sqltools.data.internal.core.editor
Class RowDataImpl

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.editor.AbstractRowData
          org.eclipse.datatools.sqltools.data.internal.core.editor.RowDataImpl

All Implemented Interfaces:
  IRowData

    public class RowDataImpl

extends AbstractRowData

This implementation of IRowData extends the AbstractRowData that handles the row life cycle, and adds a save method that commits changes to the database though the use of DML statement.

Author:
  groux

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.data.internal.core.editor.AbstractRowData
`STATE_DELETED, STATE_INSERTED, STATE_ORIGINAL, STATE_UPDATED`

Constructor Summary
`RowDataImpl(ITableData2 table, int state, java.lang.Object[] data)`

Method Summary
`void` `doRefresh(int col, boolean snippet)`
`ITableData` `getTable()`
`void` `save(TableDataSaveStatus status, Output output)`

Methods inherited from class org.eclipse.datatools.sqltools.data.internal.core.editor.AbstractRowData
`getState, getValue, resetToOriginal, revertToOriginal, setState, updateValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowDataImpl

    public RowDataImpl(ITableData2 table,
                       int state,
                       java.lang.Object[] data)

Method Detail

### getTable

    public ITableData getTable()

### save

    public void save(TableDataSaveStatus status,
                     Output output)
              throws java.sql.SQLException,
                     java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### doRefresh

    public void doRefresh(int col,
                          boolean snippet)
                   throws java.sql.SQLException,
                          java.io.IOException,
                          java.lang.Exception

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`
    `java.lang.Exception`